"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Superscript = exports.superscript = void 0;
const tslib_1 = require("tslib");
const actions_1 = require("../../../utils/actions");
const schema_1 = require("../../../utils/schema");
const inputrules_1 = require("../../../utils/inputrules");
const log_1 = tslib_1.__importDefault(require("@doc-tools/transform/lib/log"));
const sup_1 = tslib_1.__importDefault(require("@doc-tools/transform/lib/plugins/sup"));
exports.superscript = 'sup';
const supAction = 'supscript';
const supType = (0, schema_1.markTypeFactory)(exports.superscript);
const Superscript = (builder) => {
    builder
        .configureMd((md) => md.use(sup_1.default, { log: log_1.default }))
        .addMark(exports.superscript, () => ({
        spec: {
            excludes: '_',
            parseDOM: [{ tag: 'sup' }],
            toDOM() {
                return ['sup'];
            },
        },
        toYfm: { open: '^', close: '^', mixable: true, expelEnclosingWhitespace: true },
        fromYfm: { tokenSpec: { name: exports.superscript, type: 'mark' } },
    }))
        .addAction(supAction, ({ schema }) => (0, actions_1.createToggleMarkAction)(supType(schema)))
        .addInputRules(({ schema }) => ({
        rules: [(0, inputrules_1.markInputRule)({ open: '^', close: '^', ignoreBetween: '^' }, supType(schema))],
    }));
};
exports.Superscript = Superscript;
